Rails 1.2 with Subversion

I followed the instructions on how to use subversion with Rails at
http://blog.teksol.info/articles/2006/03/09/subversion-primer-for-rails-projects

Do I need to follow the instructions under the section "Using Rails
Edge and ....."?

Also after I installed 1.2 RC1 the rails -v says the version 1.1.6, is it right?

Hi !